- Aldebaran documentation |
- C++ Libraries |
- index

libalcommon 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Classes | Typedefs | Functions
AL Namespace Reference

NAOqi. More...

## Namespaces
| detail

## Classes
class | ALValue
class | ALBroker
| ALBroker serves methods advertised by connected modules to clients participating in the network. All executables create at least one broker in main.cpp. A broker will wait for http request, remote C++ request from PC application... More...
class | ALBrokerManager
| ALBrokerManager is a class to manage brokers. More...
class | ALFunctorBase
| ALFunctorBase is a generic functor class for pointer management. More...
class | ALMethodInfo
| ALMethodInfo is the introspection container. More...
class | ALModule
| ALModule can be used as a base class for user modules to help serve and advertise their methods. More...
class | ALModuleCore
| ALModuleCore is the superclass of user modules. More...
class | ALModuleInfo
| ALModuleInfo is the class of information about user modules. More...
class | ALProxy
| ALProxy is a client to the served methods of a module. More...

## Typedefs
typedef boost::shared_ptr < ALBroker > | ALBrokerPtr
typedef void | ALVoid
| Type def to void. More...
typedef boost::shared_ptr < ALProxy > | ALProxyPtr

## Functions
template<typename C , typename F >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, F fun)
template<typename C , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)())
template<typename C , typename P1 , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)(const P1 &))
template<typename C , typename P1 , typename P2 , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)(const P1 &, const P2 &))
template<typename C , typename P1 , typename P2 , typename P3 , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)(const P1 &, const P2 &, const P3 &))
template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)(const P1 &, const P2 &, const P3 &, const P4 &))
template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)(const P1 &, const P2 &, const P3 &, const P4 &, const P5 &))
template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename R >
boost::shared_ptr< ALFunctorBase > | createFunctor (C *obj, R(C::*f)(const P1 &, const P2 &, const P3 &, const P4 &, const P5 &, const P6 &))
template<typename C , typename R >
void | completeAndCheck (R(C::*)(), ALMethodInfo &pDesc)
template<typename C , typename P1 , typename R >
void | completeAndCheck (R(C::*)(P1), ALMethodInfo &pDesc)
template<typename C , typename P1 , typename P2 , typename R >
void | completeAndCheck (R(C::*)(P1, P2), ALMethodInfo &pDesc)
template<typename C , typename P1 , typename P2 , typename P3 , typename R >
void | completeAndCheck (R(C::*)(P1, P2, P3), ALMethodInfo &pDesc)
template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename R >
void | completeAndCheck (R(C::*)(P1, P2, P3, P4), ALMethodInfo &pDesc)
template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename R >
void | completeAndCheck (R(C::*)(P1, P2, P3, P4, P5), ALMethodInfo &pDesc)
template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename R >
void | completeAndCheck (R(C::*)(P1, P2, P3, P4, P5, P6), ALMethodInfo &pDesc)
template<typename ProxyType >
boost::shared_ptr< ProxyType > | makeProxy (const qi::SessionPtr &session, const std::string &serviceName)

## Detailed Description

NAOqi.

## Typedef Documentation

typedef boost::shared_ptr<ALBroker> AL::ALBrokerPtr

Definition at line 313 of file albroker.h.

typedef boost::shared_ptr<ALProxy> AL::ALProxyPtr

Definition at line 404 of file alproxy.h.

AL::ALVoid

Type def to void.

Definition at line 28 of file alfunctor.h.

## Function Documentation

template<typename C , typename R >

void AL::completeAndCheck | ( | R(C::*)() | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 157 of file almethodinfo.h.

template<typename C , typename P1 , typename R >

void AL::completeAndCheck | ( | R(C::*)(P1) | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 163 of file almethodinfo.h.

template<typename C , typename P1 , typename P2 , typename R >

void AL::completeAndCheck | ( | R(C::*)(P1, P2) | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 169 of file almethodinfo.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename R >

void AL::completeAndCheck | ( | R(C::*)(P1, P2, P3) | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 175 of file almethodinfo.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename R >

void AL::completeAndCheck | ( | R(C::*)(P1, P2, P3, P4) | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 181 of file almethodinfo.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename R >

void AL::completeAndCheck | ( | R(C::*)(P1, P2, P3, P4, P5) | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 187 of file almethodinfo.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename R >

void AL::completeAndCheck | ( | R(C::*)(P1, P2, P3, P4, P5, P6) | ,
|  | ALMethodInfo & | pDesc
| ) |  |

Definition at line 193 of file almethodinfo.h.

template<typename C , typename F >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | F | fun
| ) |  |

Definition at line 89 of file alfunctor.h.

template<typename C , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)() | f
| ) |  |

Definition at line 95 of file alfunctor.h.

template<typename C , typename P1 , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)(const P1 &) | f
| ) |  |

Definition at line 100 of file alfunctor.h.

template<typename C , typename P1 , typename P2 , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)(const P1 &, const P2 &) | f
| ) |  |

Definition at line 105 of file alfunctor.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)(const P1 &, const P2 &, const P3 &) | f
| ) |  |

Definition at line 110 of file alfunctor.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)(const P1 &, const P2 &, const P3 &, const P4 &) | f
| ) |  |

Definition at line 115 of file alfunctor.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)(const P1 &, const P2 &, const P3 &, const P4 &, const P5 &) | f
| ) |  |

Definition at line 120 of file alfunctor.h.

template<typename C , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename R >

boost::shared_ptr<ALFunctorBase> AL::createFunctor | ( | C * | obj,
|  | R(C::*)(const P1 &, const P2 &, const P3 &, const P4 &, const P5 &, const P6 &) | f
| ) |  |

Definition at line 125 of file alfunctor.h.

template<typename ProxyType >

boost::shared_ptr<ProxyType> AL::makeProxy | ( | const qi::SessionPtr & | session,
|  | const std::string & | serviceName
| ) |  |

Create a specialized proxy directly from a session.

Parameters

  serviceName | the name of the actual service to make a proxy to.
  session | a connected session, otherwise would throw.

Exceptions

  if | the service could not be found.

Note
  it does not throw if the proxy type mismatches the actual interface of the remote service

Definition at line 412 of file alproxy.h.